Name: php-base
Version: 2.4
Release: alt1
Group: Development/Other
Packager: Alexey Gladkov <legion@altlinux.ru>

Source0: php-scripts-%version.tar.bz2

License: GPL

Requires(pre): control

Summary: Package with common data for various PHP packages

%description
The %name package contains parts of PHP distribution which are in use
by other PHP-related packages. 

%prep
%setup -q -c -n %name-%version

%build

%install
%__mkdir_p \
    %buildroot/%_bindir \
    %buildroot/%_libdir/php \
    %buildroot/%_datadir/php \
    %buildroot/%_sysconfdir/php \
    %buildroot/%_datadir/php/scripts \
    %buildroot/%_datadir/php/modules \
    %buildroot/%_sysconfdir/control.d

%__install -m 644 php-scripts/phpfunctions %buildroot/%_sysconfdir/control.d
%__install -m 700 php-scripts/*.sh %buildroot/%_datadir/php/scripts
%__install -m 755 php-scripts/phpini-migrate %buildroot/%_bindir/

%files
%_bindir/*
%dir %_libdir/php
%dir %_datadir/php
%dir %_sysconfdir/php
%_sysconfdir/control.d/*
%dir %_datadir/php/scripts
%dir %_datadir/php/modules
%_datadir/php/scripts/*

%changelog
* Fri Oct 10 2008 Alexey Gladkov <legion@altlinux.ru> 2.4-alt1
- Create .phpnew only if config file changed.
- Change license.
- Fix Requires.

* Tue Oct 07 2008 Alexey Gladkov <legion@altlinux.ru> 2.3-alt2
- Fix BuildArch.

* Sun Jun 29 2008 Alexey Gladkov <legion@altlinux.ru> 2.3-alt1
- Add php_fatal() function.
- Use phpinfo utility to parse php.ini and add backward
  compatibility with php-4.x.

* Sat Nov 11 2006 Alexey Gladkov <legion@altlinux.ru> 2.2-alt1
- Add new utility: phpini-migrate.
- phpfunctions: Change regexp to parse php.ini.

* Thu Jan 26 2006 Alexey Gladkov <legion@altlinux.ru> 2.1-alt1
- php_postin.sh and php_preun.sh updated.
- phpfunctions - common functions for a php control.
- scripts runs with -e -u -f shell options.

* Mon Aug 01 2005 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1
- directory %%_datadir/php/modules added;

* Thu Apr 08 2004 Alexey Gladkov <legion@altlinux.ru> 1.0-alt1
- ALT Linux Sisyphus first build.
